## haskell-intern 0.9.1.1

=== debian/changelog ===
haskell-intern (0.9.1.1-1build1) trusty; urgency=low

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 26 Oct 2013 07:48:33 +0100

haskell-intern (0.9.1.1-1) unstable; urgency=low

  * Initial packaging.
    Closes: bug#718017.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 27 Jul 2013 22:51:53 +0200
