=== debian/control ===
Source: haskell-intern
Section: haskell
Priority: optional
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>
Build-Depends: cdbs,
 devscripts,
 debhelper,
 dh-buildinfo,
 ghc,
 libghc-text-dev (<< 0.12),
 libghc-hashable-dev (<< 1.3),
 libghc-unordered-containers-dev (<< 0.3),
 haskell-devscripts,
 ghc-prof,
 libghc-text-prof,
 libghc-hashable-prof,
 libghc-unordered-containers-prof
Build-Depends-Indep: ghc-doc
 , libghc-text-doc
 , libghc-hashable-doc
 , libghc-unordered-containers-doc
Standards-Version: 3.9.4
Homepage: http://github.com/ekmett/intern/
Vcs-Git: git://git.debian.org/git/collab-maint/haskell-intern.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/haskell-intern.git

Package: libghc-intern-dev
Priority: extra
Architecture: any
Depends: ${haskell:Depends}
 , ${haskell:Extra-Depends}
 , ${misc:Depends}
 , ${shlibs:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: hash consing for data types - libraries
 Efficient hash-consing for arbitrary Haskell data types.
 .
 This package contains the libraries compiled for GHC.

Package: libghc-intern-doc
Section: doc
Priority: extra
Architecture: all
Depends: ${haskell:Depends}
 , ${haskell:Extra-Depends}
 , ${misc:Depends}
Recommends: ${haskell:Recommends}
Description: hash consing for data types - library documentation
 Efficient hash-consing for arbitrary Haskell data types.
 .
 This package contains the library documentation for intern.

Package: libghc-intern-prof
Priority: extra
Architecture: any
Depends: ${haskell:Depends}
 , ${haskell:Extra-Depends}
 , ${misc:Depends}
Provides: ${haskell:Provides}
Description: hash consing for data types - profiling libraries
 Efficient hash-consing for arbitrary Haskell data types.
 .
 This package contains the profiling libraries for intern.
