## haskell-intern 0.9.1.3

=== debian/changelog ===
haskell-intern (0.9.1.3-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Fix update watch file to use Hackage distro-monitor.
  * Update package relations:
    + Relax GHC (build-)dependencies on text.
  * Update copyright file:
    + Extend coverage for main author.
  * Bump standards-version to 3.9.5.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 23 Apr 2014 19:28:23 +0200
