=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  debhelper,
  dh-buildinfo,
  ghc,
- libghc-text-dev (<< 0.12),
+ libghc-text-dev (<< 1.2),
  libghc-hashable-dev (<< 1.3),
  libghc-unordered-containers-dev (<< 0.3),
  haskell-devscripts,
@@ -20,7 +20,7 @@
  , libghc-text-doc
  , libghc-hashable-doc
  , libghc-unordered-containers-doc
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://github.com/ekmett/intern/
 Vcs-Git: git://git.debian.org/git/collab-maint/haskell-intern.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/haskell-intern.git
