=== debian/rules ===
--- 
+++ 
@@ -30,7 +30,7 @@
 expand-ghc-deps = $(foreach dep,$2,$(call expand-ghc-dep,$1,$(word 1,$(subst $(comma),$(space),$(dep))),$(word 2,$(subst $(comma),$(space),$(dep))),$(word 3,$(subst $(comma),$(space),$(dep))),$(word 4,$(subst $(comma),$(space),$(dep))),$(word 5,$(subst $(comma),$(space),$(dep)))))
 
 # Needed by upstream build
-ghc-deps += text,<<,0.12
+ghc-deps += text,<<,1.2
 ghc-deps += hashable,<<,1.3
 ghc-deps += unordered-containers,<<,0.3
 #ghc-deps += intern,<<,1.0
@@ -43,9 +43,7 @@
 
 # Needed by upstream documentation build
 bdeps-indep = ghc-doc
-# this is undeclared but warned about at build time
-ghc-deps-doc += rts
-bdeps-indep +=, $(call strip-ghc-deps,doc,$(ghc-deps) $(ghc-deps-doc))
+bdeps-indep +=, $(call strip-ghc-deps,doc,$(ghc-deps))
 
 # Needed for our packaging
 bdeps +=, haskell-devscripts
