## haskell-intern 0.9.1.4

=== debian/changelog ===
haskell-intern (0.9.1.4-3build1) artful; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 15 Jul 2017 10:38:49 +0200

haskell-intern (0.9.1.4-3) unstable; urgency=medium

  * Modernize cdbs:
    + Stop suppress versioned build-dependency on debhelper.
    + Do copyright-check in maintainer script (not during build).
  * Update copyright info:
    + Extend copyright of packaging to cover current year.
    + Use https protocol in format string.
    + Use License-Grant and License-Reference fields.
      Thanks to Ben Finney.
  * Declare compliance with Debian Policy 4.0.0.
  * Modernize Vcs-* fields:
    + Use https protocol.
    + Use git (not cgit) in path.
  * Add lintian overrides regarding license in License-Reference field.
    See bug#786450.
  * Modernize git-buildpackage config:
    + Filter any .git* file.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 21 Jun 2017 10:11:25 +0200

haskell-intern (0.9.1.4-2) unstable; urgency=medium

  * Declare compliance with Debian Policy 3.9.8.
  * Update copyright info: Extend coverage of packaging to include this
    year.
  * Relax inclusion of hlibrary.mk, to ease bootstrap of build (i.e. not
    need to install Haskell development environment outside build
    chroot).
  * Modernize CDBS setup: Build-depend on licensecheck (not devscripts).
  * Simply doing this rebuild implies rebuilding against ghc 8.
    Closes: Bug#843405. Thanks to Clint Adams.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 17 Nov 2016 00:24:53 +0100

haskell-intern (0.9.1.4-1) unstable; urgency=medium

  * Bump debhelper compatibility level to 9.
  * Move packaging to pkg-haskell Alioth group.
  * Declare compliance with Debian Policy 3.9.6.
  * Update copyright info:
    + Extend coverage for myself.
    + Fix reference upstream URL for GPL license.
  * Update package relations: Relax GHC (build-)dependencies for text.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 29 Apr 2015 08:28:29 +0200
