=== debian/control ===
--- 
+++ 
@@ -4,11 +4,10 @@
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: Jonas Smedegaard <dr@jones.dk>
 Build-Depends: cdbs,
- devscripts,
  debhelper,
  dh-buildinfo,
  ghc,
- libghc-text-dev (<< 1.2),
+ libghc-text-dev (<< 1.3),
  libghc-hashable-dev (<< 1.3),
  libghc-unordered-containers-dev (<< 0.3),
  haskell-devscripts,
@@ -20,10 +19,10 @@
  , libghc-text-doc
  , libghc-hashable-doc
  , libghc-unordered-containers-doc
-Standards-Version: 3.9.5
+Standards-Version: 4.0.0
 Homepage: http://github.com/ekmett/intern/
-Vcs-Git: git://git.debian.org/git/collab-maint/haskell-intern.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/haskell-intern.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-haskell/haskell-intern.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-haskell/haskell-intern.git
 
 Package: libghc-intern-dev
 Priority: extra
