=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
-# Copyright © 2013 Jonas Smedegaard <dr@jones.dk>
+# Copyright 2013-2017 Jonas Smedegaard <dr@jones.dk>
 # Description: Main Debian packaging script for intern
 #
 # This program is free software; you can redistribute it and/or modify
@@ -17,9 +17,8 @@
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 include /usr/share/cdbs/1/rules/upstream-tarball.mk
-include /usr/share/cdbs/1/rules/utils.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
-include /usr/share/cdbs/1/class/hlibrary.mk
+-include /usr/share/cdbs/1/class/hlibrary.mk
 
 DEB_UPSTREAM_PACKAGE = intern
 DEB_UPSTREAM_URL = http://hackage.haskell.org/packages/archive/$(DEB_UPSTREAM_PACKAGE)/$(DEB_UPSTREAM_TARBALL_VERSION)
@@ -30,10 +29,9 @@
 expand-ghc-deps = $(foreach dep,$2,$(call expand-ghc-dep,$1,$(word 1,$(subst $(comma),$(space),$(dep))),$(word 2,$(subst $(comma),$(space),$(dep))),$(word 3,$(subst $(comma),$(space),$(dep))),$(word 4,$(subst $(comma),$(space),$(dep))),$(word 5,$(subst $(comma),$(space),$(dep)))))
 
 # Needed by upstream build
-ghc-deps += text,<<,1.2
+ghc-deps += text,<<,1.3
 ghc-deps += hashable,<<,1.3
 ghc-deps += unordered-containers,<<,0.3
-#ghc-deps += intern,<<,1.0
 bdeps = ghc
 bdeps +=, $(call expand-ghc-deps,dev,$(ghc-deps))
