## haskell-intern 0.9.2

=== debian/changelog ===
haskell-intern (0.9.2-2) unstable; urgency=medium

  * Simple rebuild.
    Closes: Bug#896973.
  * Update watch file: Fix typo in usage comment.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 08 May 2018 09:21:57 +0200

haskell-intern (0.9.2-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Update contro file:
    + Update Vcs-* fields: Source moved to Salsa.
    + Update homepage URL: Use https protocol. Strip trailing /.
    + Use priority optional (not deprecated extra).
    + Update Maintainer email address.
    + Declare compliance with Debian Policy 4.1.4.
  * Drop CDBS get-orig-source target: Use "gbp import-orig --uscan"
    instead.
  * Update watch file:
    + Add usage comment.
    + Bump to version 4.
    + Use substitution variables.
  * Update copyright info:
    + Extend coverage for myself.
    + Update copyright info: Rewrap using semantic newlines.
  * Tighten lintian overrides regarding License-Reference.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 27 Apr 2018 21:12:00 +0200
