=== debian/control ===
--- 
+++ 
@@ -1,31 +1,30 @@
 Source: haskell-intern
 Section: haskell
 Priority: optional
-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Haskell Group <debian-haskell@lists.debian.org>
 Uploaders: Jonas Smedegaard <dr@jones.dk>
 Build-Depends: cdbs,
  debhelper,
  dh-buildinfo,
  ghc,
+ ghc-prof,
+ libghc-hashable-dev (<< 1.3),
+ libghc-hashable-prof,
  libghc-text-dev (<< 1.3),
- libghc-hashable-dev (<< 1.3),
+ libghc-text-prof,
  libghc-unordered-containers-dev (<< 0.3),
- haskell-devscripts,
- ghc-prof,
- libghc-text-prof,
- libghc-hashable-prof,
- libghc-unordered-containers-prof
+ libghc-unordered-containers-prof,
+ haskell-devscripts
 Build-Depends-Indep: ghc-doc
  , libghc-text-doc
  , libghc-hashable-doc
  , libghc-unordered-containers-doc
-Standards-Version: 4.0.0
-Homepage: http://github.com/ekmett/intern/
-Vcs-Git: https://anonscm.debian.org/git/pkg-haskell/haskell-intern.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-haskell/haskell-intern.git
+Standards-Version: 4.1.4
+Homepage: https://github.com/ekmett/intern
+Vcs-Git: https://salsa.debian.org/haskell-team/haskell-intern.git
+Vcs-Browser: https://salsa.debian.org/haskell-team/haskell-intern
 
 Package: libghc-intern-dev
-Priority: extra
 Architecture: any
 Depends: ${haskell:Depends}
  , ${haskell:Extra-Depends}
@@ -41,7 +40,6 @@
 
 Package: libghc-intern-doc
 Section: doc
-Priority: extra
 Architecture: all
 Depends: ${haskell:Depends}
  , ${haskell:Extra-Depends}
@@ -53,7 +51,6 @@
  This package contains the library documentation for intern.
 
 Package: libghc-intern-prof
-Priority: extra
 Architecture: any
 Depends: ${haskell:Depends}
  , ${haskell:Extra-Depends}
