## haskell-intern 0.9.3

=== debian/changelog ===
haskell-intern (0.9.3-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * drop patch cherry-picked upstream now applied

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 11 Oct 2020 03:29:16 +0200

haskell-intern (0.9.2-5) unstable; urgency=medium

  * add patch cherry-picked upstream to allow hashable-1.3.*
  * use debhelper compatibility level 10 (not 9)
  * relax build-dependency on libghc-hashable-dev
  * declare compliance with Debian Policy 4.5.0

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 05 Jun 2020 15:03:42 +0200

haskell-intern (0.9.2-4) unstable; urgency=medium

  * Fix doc-base metadata.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 18 Nov 2018 12:07:33 +0100

haskell-intern (0.9.2-3) unstable; urgency=medium

  * Simplify rules: Stop resolve build-dependencies in rules file.
  * Stop build-depend on dh-buildinfo.
  * Wrap and sort control file.
  * Build-depend on recent ghc/ghc-prof/ghc-doc,
    favored over GHC for text.
  * Declare compliance with Debian Policy 4.2.1.
  * Declare installation of examples in debhelper snippet.
  * Drop license boilerplate from rules file
    (treat debian/* Files section as authoritative).
  * Set Rules-Requires-Root: no.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 18 Nov 2018 11:24:47 +0100
