=== debian/control ===
Source: haskell-intern
Section: haskell
Priority: optional
Maintainer: Debian Haskell Group <debian-haskell@lists.debian.org>
Uploaders:
 Jonas Smedegaard <dr@jones.dk>,
Build-Depends:
 cdbs,
 debhelper,
 ghc,
 ghc-prof,
 haskell-devscripts,
 libghc-hashable-dev (<< 1.4),
 libghc-hashable-prof,
 ghc (>= 8.4.3+dfsg1-4~) | libghc-text-dev (<< 1.3),
 ghc-prof (>= 8.4.3+dfsg1-4~) | libghc-text-prof,
 libghc-unordered-containers-dev (<< 0.3),
 libghc-unordered-containers-prof,
Build-Depends-Indep:
 ghc-doc,
 libghc-hashable-doc,
 ghc-doc (>= 8.4.3+dfsg1-4~) | libghc-text-doc,
 libghc-unordered-containers-doc,
Standards-Version: 4.5.0
Homepage: https://github.com/ekmett/intern
Vcs-Git: https://salsa.debian.org/haskell-team/haskell-intern.git
Vcs-Browser: https://salsa.debian.org/haskell-team/haskell-intern
Rules-Requires-Root: no

Package: libghc-intern-dev
Architecture: any
Depends:
 ${haskell:Depends},
 ${haskell:Extra-Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Provides:
 ${haskell:Provides},
Description: hash consing for data types - libraries
 Efficient hash-consing for arbitrary Haskell data types.
 .
 This package contains the libraries compiled for GHC.

Package: libghc-intern-doc
Section: doc
Architecture: all
Depends:
 ${haskell:Depends},
 ${haskell:Extra-Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Description: hash consing for data types - library documentation
 Efficient hash-consing for arbitrary Haskell data types.
 .
 This package contains the library documentation for intern.

Package: libghc-intern-prof
Architecture: any
Depends:
 ${haskell:Depends},
 ${haskell:Extra-Depends},
 ${misc:Depends},
Provides:
 ${haskell:Provides},
Description: hash consing for data types - profiling libraries
 Efficient hash-consing for arbitrary Haskell data types.
 .
 This package contains the profiling libraries for intern.
