## haskell-intern 0.9.4

=== debian/changelog ===
haskell-intern (0.9.4-2) unstable; urgency=medium

  * update copyright info:
    + use Reference field (not License-Reference);
      tighten lintian overrides
    + update coverage
  * declare compliance with Debian Policy 4.6.1

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 29 Jul 2022 15:19:10 +0200

haskell-intern (0.9.4-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * declare compliance with Debian Policy 4.6.0
  * simplify source helper script copyright-check

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 25 Aug 2021 11:38:56 +0200
