=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
  libghc-hashable-doc,
  ghc-doc (>= 8.4.3+dfsg1-4~) | libghc-text-doc,
  libghc-unordered-containers-doc,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/ekmett/intern
 Vcs-Git: https://salsa.debian.org/haskell-team/haskell-intern.git
 Vcs-Browser: https://salsa.debian.org/haskell-team/haskell-intern
