## haskell-intern 0.9.5

=== debian/changelog ===
haskell-intern (0.9.5-2) unstable; urgency=medium

  * add patches cherry-picked upstream
    to support building with newer GHC

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 05 Aug 2024 15:19:39 +0200

haskell-intern (0.9.5-1) unstable; urgency=medium

  * relax upper GHC bounds for hashable
  * update copyright info: update coverage
  * fix use Reference field

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 30 Nov 2023 15:35:16 +0100
