=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  ghc,
  ghc-prof,
  haskell-devscripts,
- libghc-hashable-dev (<< 1.4),
+ libghc-hashable-dev (<< 1.5),
  libghc-hashable-prof,
  ghc (>= 8.4.3+dfsg1-4~) | libghc-text-dev (<< 1.3),
  ghc-prof (>= 8.4.3+dfsg1-4~) | libghc-text-prof,
