## haskell-intern 0.9.6

=== debian/changelog ===
haskell-intern (0.9.6-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * drop patches cherry-picked upstream, now obsolete
  * relax upper GHC bounds for hashable
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 15 Jan 2025 01:15:00 +0100

haskell-intern (0.9.5-3) unstable; urgency=medium

  * no-changes upload to link against newer GHC;
    closes: bug#1085029, thanks to Ilias Tsitsimpis

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 16 Oct 2024 18:07:48 +0200
